@import '../../scss/utils/vars';
@import '../../scss/utils/font-template';

.signInPageForm {
  max-width: 380px;
  width: 100%;
  max-height: 358px;
  height: 100%;
  margin: 0px auto;
  background: $colorBackground;
  border: 1px solid rgba(0, 0, 0, 0.12);
  box-shadow: 0px 0px 25px rgba(0, 0, 0, 0.2);
  border-radius: 4px;

  &__inner {
    width: 100%;
    height: 100%;
    padding: 30px;
  }

  &__title {
    @extend %sub-section-title;
    margin: 0px;
    padding: 10px 0px;
  }

  &__input {
    margin: 10px 0px;
  }

  &__button {
    max-width: 320px;
    width: 100%;
    height: 44px;
    margin: 20px 0px;
  }

  &__direction {
    margin-top: 30px;
    display: flex;
    flex-direction: row;
    gap: 10px;
    justify-content: space-between;
    align-items: center;
  }

  &__text {
    @extend %body-text;
    margin: 0px;
  }

  &__link {
    width: 99px;
    height: 44px;
  }
}